sh_flowtime.d(1m)

NAME
sh_flowtime.d - snoop Bourne shell execution with flow and delta times.

SYNOPSIS
sh_flowtime.d

DESCRIPTION
This traces shell activity from all Bourne shells on the system that are running with sh provider support. This watches shell function entries and returns, and indents child function calls. Shell builtins are also printed. DELTAs:
->    previous line to the start of this function
<-    previous line to the end of this function
>    previous line to the end of this builtin
|    previous line to the end of this command
See sh_flowinfo.d for more verbose and more straightforward delta times. Filename and function names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Shell provider, which may change as additional features are introduced. Check Shell/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # sh_flowtime.d

FIELDS

C   CPU-id

TIME(us)
    Time since boot, us

FILE
    Filename that this function belongs to

NAME
    Shell function or builtin name

LEGEND

->  function entry

<-  function return

>   builtin

|   external command

WARNING
Watch the first column carefully, it prints the CPU-id. If it changes, then it is very likely that the output has been shuffled.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
sh_flowtime.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)